nefunkcne stahovanie updatov

Sekcia: Konfigurácia 05.03.2007 | 11:29
permafrost   Návštevník
Ahoj,

mam kubuntu 6.10 a mam problem so stahovanim updatov cez adepta. Ked dam fetch updates nikdy sa nedostane dalej ako na 50% a zostane stat (tvrdi ze waiting for headers).

Skusal som tiez nainstalovat Beryl podla tohto navodu a nevie sa pripojit:
root@frosty:/home/permafrost# ./beryl-install-script
--10:22:16--  http://nvidia.limitless.lupine.me.uk/ubuntu/root@lupine.me.uk.gpg
           => `-'
Resolving nvidia.limitless.lupine.me.uk... 89.200.136.91
Connecting to nvidia.limitless.lupine.me.uk|89.200.136.91|:80... failed: Connection timed out.
Retrying.

--10:25:26--  http://nvidia.limitless.lupine.me.uk/ubuntu/root@lupine.me.uk.gpg
  (try: 2) => `-'
Connecting to nvidia.limitless.lupine.me.uk|89.200.136.91|:80...
gpg: Interrupt caught ... exiting

Dufam ze nie je chyba v mojom providerovi (mam roburnet) ale niekde v mojich nastaveniach. Nastavil som si proxy a Firefox mi v pohode ide tak neviem kde je problem :'( Nevie mi niekto prosim pomoct?
    • Re: nefunkcne stahovanie updatov 05.03.2007 | 11:34
      Avatar LUcoRP Debian, *buntu, Android  Používateľ
      skus si zmenit zdroje

      ak to nepojde takto vyriesit, da sa este vzdy zakazat instalaciu berylu, samozrejme ak ti to robi iba pri tomto programe
      • Re: nefunkcne stahovanie updatov 05.03.2007 | 12:13
        permafrost   Návštevník
        hmm, zdroje tam mam od nova nic som snimi nerobil... no aj tak som ich skusil vymenit a nepomohlo to. a nemoze za to beryl, to mi robi vsade
        • Re: nefunkcne stahovanie updatov 05.03.2007 | 12:15
          Avatar nipo Ubuntu 9.04  Používateľ
          tiez sa k tomu priklanam, zjavne beryl ... i ked som este nepocul, ze by take veci sposoboval
          • Re: nefunkcne stahovanie updatov 05.03.2007 | 12:32
            permafrost   Návštevník
            nie nie, zle si ma pochopil, beryl za to NEmoze... robilo mi to aj predtym a robi mi to aj pri ostatnych zdrojoch :'(
    • Re: nefunkcne stahovanie updatov 05.03.2007 | 13:53
      WlaSaTy   Návštevník
      hm, problem bude asi v tom ze roburnet potrebuje proxy. to je overene tym ze si si ho dal do firefoxu (a funguje to) ale wget pouzity danym skriptom necita nastavenie firefoxu. takze bude treba pozriet do manualu pre wget a nastavit si proxy. najlepsie pre vsetkych, niekde do /etc/wgetrc alebo odkial ti to berie tvoja verzia wget-u.
      • Re: nefunkcne stahovanie updatov 05.03.2007 | 15:53
        Avatar titanik mint  Používateľ
        nastav si premenne prostredia
        HTTP_PROXY=".."
        FTP_PROXY=".."
        • Re: nefunkcne stahovanie updatov 05.03.2007 | 16:57
          permafrost   Návštevník
          Hmm a kde ich mam nastavit? Ja som na nete nasiel totiz ze mam editnut
          /etc/bash.bashrc
          a pridat tam toto:
          export http_proxy=http://my.proxy.server:port/
          export ftp_proxy=http://my.proxy.server:port/
          ale na adepta to nemalo vplyv a script sice prebehol ale tak divne.... uz sice totiz dal aspon ze Resolving http://proxy/ ale skoncilo to vzdy ze can not resolve. Tvaril sa sice ze je vsetko OK ale asi nebolo pretoze mi to znicilo KDE :-B
    • Re: nefunkcne stahovanie updatov 06.03.2007 | 09:21
      permafrost   Návštevník
      LOL uz som na to prisiel... Trebalo editnut
      /etc/apt/apt.conf
      a pridat tam nieco taketo:
      Acquire::http::Proxy "http://mojeproxy/";
      a uz mi adept funguje bez problemov :) Vdaka vam vsetkym co ste sa mi snazili pomoct :)